Summary:	A public domain Yacc parser generator
Name:		byacc
Version:	20240109
Release:	%mkrel 2
License:	Public Domain
Group:		Development/Other
URL:		https://invisible-island.net/byacc/byacc.html
Source:		https://invisible-island.net/archives/byacc/byacc-%{version}.tgz

%description
Byacc (Berkeley Yacc) is a public domain LALR parser generator which
is used by many programs during their build process.

If you are going to do development on your system, you will want to
install either this package or bison. Berkeley Yacc is regarded as a
better parser generator, while bison is more widely used in the GNU world.

%prep
%setup -q

%build
%configure
%make_build

%check
make check

%install
%make_install

mv %{buildroot}%{_bindir}/{yacc,byacc}
ln -s yacc.1 %{buildroot}%{_mandir}/man1/byacc.1

%post
%{_sbindir}/update-alternatives --install %{_bindir}/yacc yacc %{_bindir}/byacc 20

%preun
if [ $1 -eq 0 ]; then
	%{_sbindir}/update-alternatives --remove yacc %{_bindir}/byacc
fi

%files
%doc ACKNOWLEDGEMENTS CHANGES NEW_FEATURES NOTES NO_WARRANTY README
%attr(0755,root,root) %{_bindir}/byacc
%{_mandir}/man1/*




%changelog
* Sat Jun 28 2025 umeabot <umeabot> 20240109-2.mga10
+ Revision: 2221504
- Mageia 10 Mass Rebuild

* Sun Mar 10 2024 daviddavid <daviddavid> 20240109-1.mga10
+ Revision: 2049030
- new version: 20240109
+ danf <danf>
- Update source URL

* Wed Jan 04 2023 luigiwalser <luigiwalser> 20221229-1.mga9
+ Revision: 1929879
- 20221229

* Tue Mar 15 2022 umeabot <umeabot> 20210109-2.mga9
+ Revision: 1793445
- Mageia 9 Mass Rebuild

* Thu Mar 04 2021 daviddavid <daviddavid> 20210109-1.mga9
+ Revision: 1698108
- new version: 20210109

* Sat Sep 19 2020 shlomif <shlomif> 20200910-1.mga8
+ Revision: 1628736
- New version 20200910

* Wed May 06 2020 shlomif <shlomif> 20200330-1.mga8
+ Revision: 1580797
- New version 20200330

* Tue Feb 18 2020 umeabot <umeabot> 20191125-2.mga8
+ Revision: 1539280
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Dec 05 2019 shlomif <shlomif> 20191125-1.mga8
+ Revision: 1464531
- New version

* Fri Jul 12 2019 shlomif <shlomif> 20190617-1.mga8
+ Revision: 1420814
- New version

* Sat Sep 22 2018 umeabot <umeabot> 20180609-2.mga7
+ Revision: 1295751
- Mageia 7 Mass Rebuild

* Thu Jun 28 2018 shlomif <shlomif> 20180609-1.mga7
+ Revision: 1240624
- New version

* Sat Jun 02 2018 shlomif <shlomif> 20180525-1.mga7
+ Revision: 1233640
- New version *25

* Tue May 22 2018 shlomif <shlomif> 20180510-1.mga7
+ Revision: 1231497
- New version

* Mon Jul 17 2017 shlomif <shlomif> 20170709-1.mga7
+ Revision: 1123916
- New version 20170709 + spec modernize

* Thu Feb 11 2016 umeabot <umeabot> 20150711-2.mga6
+ Revision: 953549
- Mageia 6 Mass Rebuild

* Thu Sep 03 2015 shlomif <shlomif> 20150711-1.mga6
+ Revision: 872387
- New version 20150711

* Fri Dec 19 2014 luigiwalser <luigiwalser> 20141128-1.mga5
+ Revision: 804317
- 20141128

* Wed Oct 15 2014 umeabot <umeabot> 20141006-2.mga5
+ Revision: 739986
- Second Mageia 5 Mass Rebuild

* Thu Oct 09 2014 luigiwalser <luigiwalser> 20141006-1.mga5
+ Revision: 737768
- 20141006

* Tue Sep 16 2014 umeabot <umeabot> 20140715-2.mga5
+ Revision: 678257
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 luigiwalser <luigiwalser> 20140715-1.mga5
+ Revision: 670104
- 20140715

* Wed Jul 02 2014 luigiwalser <luigiwalser> 20140527-1.mga5
+ Revision: 642359
- 20140527

* Tue May 13 2014 luigiwalser <luigiwalser> 20140422-1.mga5
+ Revision: 622632
- 20140422

* Thu Apr 10 2014 luigiwalser <luigiwalser> 20140409-1.mga5
+ Revision: 613148
- 20140409

* Fri Feb 14 2014 luigiwalser <luigiwalser> 20140101-1.mga5
+ Revision: 590950
- 20140101

* Mon Oct 21 2013 umeabot <umeabot> 20130925-2.mga4
+ Revision: 537184
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 luigiwalser <luigiwalser> 20130925-1.mga4
+ Revision: 486482
- 20130925

* Wed Mar 06 2013 luigiwalser <luigiwalser> 20130304-1.mga3
+ Revision: 401553
- 20130304

* Fri Jan 11 2013 umeabot <umeabot> 20121003-2.mga3
+ Revision: 347248
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 30 2012 luigiwalser <luigiwalser> 20121003-1.mga3
+ Revision: 311634
- new version 20121003

* Tue May 29 2012 shlomif <shlomif> 20120526-1.mga3
+ Revision: 248834
- New version: 20120526

* Fri Sep 09 2011 fwang <fwang> 20110908-1.mga2
+ Revision: 141709
- new version 20110908

* Thu Jul 07 2011 ahmad <ahmad> 20101229-1.mga2
+ Revision: 119701
- Update to 20101229

* Sat Jan 08 2011 blino <blino> 20100216-3.mga1
+ Revision: 656
- remove old migration fix
- imported package byacc


* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 20100216-2mdv2011.0
+ Revision: 603773
- rebuild

* Fri Feb 19 2010 Sandro Cazzaniga <kharec@mandriva.org> 20100216-1mdv2010.1
+ Revision: 507984
- update to 20100216

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 20090221-2mdv2010.0
+ Revision: 413187
- rebuild

* Sun Mar 22 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 20090221-1mdv2009.1
+ Revision: 360099
- Updated to 20090221 release.
- Removed merged/obsolete patch: byacc-20040328-no-recreate-unionfile.patch
- Removed old patches not being used in spec:
  byacc-1.9-fixmanpage.patch
  byacc-1.9-automake.patch
  byacc-1.9-includes.patch
  byacc-1.9-security.patch

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 1.9-24mdv2009.1
+ Revision: 316512
- rebuild

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 1.9-23mdv2009.0
+ Revision: 220494
- rebuild

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 1.9-22mdv2008.1
+ Revision: 149067
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.9-21mdv2008.1
+ Revision: 140691
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Oct 11 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-10 09:14:56 (63271)
- bunzip patches
- use the check macro

* Sat Oct 07 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-06 07:14:28 (62916)
- Import byacc

* Sat May 13 2006 Stefan van der Eijk <stefan@eijk.nu> 1.9-20mdk
- rebuild for sparc

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.9-19mdk
- Rebuild

* Thu Dec 30 2004 Abel Cheung <deaddog@mandrake.org> 1.9-18mdk
- P4 (Fix #12823)

* Thu Dec 23 2004 Abel Cheung <deaddog@mandrake.org> 1.9-17mdk
- Use the 2004-03-28 tarball distributed by Thomas Dickey (of ncurses fame),
  which contains quite a few fixes and enhancements. Better than the 4BSD
  version dated back from 1993.
- Don't apply all patches (in particular insecure tempfile patch;
  tmpfile() should be fine, but who knows). Keep them for now.
- Make byacc an alternative of bison

* Fri Jul 02 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.9-16mdk
- better gcc3.4 fix, in addition that errno is not a variable

* Wed Jun 30 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.9-15mdk
- fix gcc-3.4 build (P4)
- force use of automake1.4 and autoconf2.5

